<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.core.Permission" table="permission" catalog="prase">
        <id name="id" type="string">
            <column name="id" length="36" />
            <generator class="assigned"></generator>
        </id>
        <property name="name" type="string">
            <column name="name" length="200" not-null="true" />
        </property>
        <property name="description" type="string">
            <column name="description" length="200" not-null="true" />
        </property>
        <property name="menuPath" type="string">
            <column name="menu_path" length="200" not-null="true" />
        </property>
        <property name="leftToRightOrder" type="int">
            <column name="left_to_right_order" sql-type="TINYINT" not-null="true"/>
        </property>
        <property name="topToBottomOrder" type="int">
            <column name="top_to_bottom_order" sql-type="TINYINT" not-null="true"/>
        </property>
        <property name="generalAccess" type="java.lang.Boolean">
            <column name="general_access" sql-type="TINYINT" not-null="true"/>
        </property>
        <property name="applicationMenu" type="java.lang.Boolean">
            <column name="application_menu" sql-type="TINYINT" not-null="true"/>
        </property>
        <property name="active" type="java.lang.Boolean">
            <column name="active" sql-type="TINYINT" not-null="true"/>
        </property>
        <property name="parentName" type="string">
            <column name="parent_name" length="200" />
        </property>
        <set name="userHasPermissions" table="USER_HAS_PERMISSION" inverse="true" lazy="true" fetch="select">
            <key>
                <column name="id_permission" length="36" not-null="true" />
            </key>
            <one-to-many class="com.arrebol.taxiservicios.model.core.UserHasPermission" />
        </set>
    </class>
</hibernate-mapping>
